/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) - dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(0.0)lf, np.float64(0.0)lf)
 * (dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) - dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(0.31999999999999995)lf, np.float64(-1.68)lf)
 * (dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) - dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(-0.31999999999999995)lf, np.float64(1.68)lf)
 * (dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) - dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(0.0)lf, np.float64(0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance((dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) - dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(0.0)lf, np.float64(0.0)lf)) <= np.float64(0.0)lf ? 1 : -1] array0;
  double[distance((dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) - dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(0.31999999999999995)lf, np.float64(-1.68)lf)) <= np.float64(1.7102046661145562e-05)lf ? 1 : -1] array1;
  double[distance((dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) - dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(-0.31999999999999995)lf, np.float64(1.68)lf)) <= np.float64(1.7102046661145562e-05)lf ? 1 : -1] array2;
  double[distance((dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) - dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(0.0)lf, np.float64(0.0)lf)) <= np.float64(0.0)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
