/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))
 * (np.float32(0.0) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))
 * (np.float32(-1.33) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(-2.98), np.float32(0.0), np.float32(0.5999999), np.float32(-0.57000005))
 * (np.float32(-1.33) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(-0.53000003), np.float32(-1.48), np.float32(-1.84), np.float32(-1.33))
 * (np.float32(0.85) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(-0.79999995), np.float32(2.18), np.float32(2.78), np.float32(1.61))
 * (np.float32(0.85) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(1.6500001), np.float32(0.70000005), np.float32(0.34000003), np.float32(0.85))
 */
#version 120

void main()
{
  float[distance((np.float32(0.0) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) <= np.float32(2.965451e-05) ? 1 : -1] array0;
  float[distance((np.float32(0.0) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) <= np.float32(9.605207e-06) ? 1 : -1] array1;
  float[distance((np.float32(-1.33) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(-2.98), np.float32(0.0), np.float32(0.5999999), np.float32(-0.57000005))) <= np.float32(3.092782e-05) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(-0.53000003), np.float32(-1.48), np.float32(-1.84), np.float32(-1.33))) <= np.float32(2.7614851e-05) ? 1 : -1] array3;
  float[distance((np.float32(0.85) + vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(-0.79999995), np.float32(2.18), np.float32(2.78), np.float32(1.61))) <= np.float32(3.96395e-05) ? 1 : -1] array4;
  float[distance((np.float32(0.85) + vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(1.6500001), np.float32(0.70000005), np.float32(0.34000003), np.float32(0.85))) <= np.float32(2.0126103e-05) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
