/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) - np.float32(0.0)) => vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) - np.float32(-1.33)) => vec3(np.float32(1.3000001), np.float32(0.48000002), np.float32(0.39000005))
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) - np.float32(0.85)) => vec3(np.float32(-0.88), np.float32(-1.7), np.float32(-1.79))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) - np.float32(0.0)) => vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) - np.float32(-1.33)) => vec3(np.float32(3.0), np.float32(1.99), np.float32(3.2))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) - np.float32(0.85)) => vec3(np.float32(0.81999993), np.float32(-0.19), np.float32(1.02))
 */
#version 120

void main()
{
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) - np.float32(0.0)), vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) <= np.float32(1.2676751e-05) ? 1 : -1] array0;
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) - np.float32(-1.33)), vec3(np.float32(1.3000001), np.float32(0.48000002), np.float32(0.39000005))) <= np.float32(1.4396181e-05) ? 1 : -1] array1;
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) - np.float32(0.85)), vec3(np.float32(-0.88), np.float32(-1.7), np.float32(-1.79))) <= np.float32(2.6207823e-05) ? 1 : -1] array2;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) - np.float32(0.0)), vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) <= np.float32(2.5925663e-05) ? 1 : -1] array3;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) - np.float32(-1.33)), vec3(np.float32(3.0), np.float32(1.99), np.float32(3.2))) <= np.float32(4.8166483e-05) ? 1 : -1] array4;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) - np.float32(0.85)), vec3(np.float32(0.81999993), np.float32(-0.19), np.float32(1.02))) <= np.float32(1.3224598e-05) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
