/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * acosh(vec2(np.float32(1.0), np.float32(1.0))) => vec2(np.float32(0.0), np.float32(0.0))
 * acosh(vec2(np.float32(1.1), np.float32(2.0))) => vec2(np.float32(0.44356832), np.float32(1.316958))
 * acosh(vec2(np.float32(11.0), np.float32(10000000000.0))) => vec2(np.float32(3.08897), np.float32(23.718998))
 */
#version 130

void main()
{
  float[distance(acosh(vec2(np.float32(1.0), np.float32(1.0))), vec2(np.float32(0.0), np.float32(0.0))) <= np.float32(0.00014142135) ? 1 : -1] array0;
  float[distance(acosh(vec2(np.float32(1.1), np.float32(2.0))), vec2(np.float32(0.44356832), np.float32(1.316958))) <= np.float32(0.0013896513) ? 1 : -1] array1;
  float[distance(acosh(vec2(np.float32(11.0), np.float32(10000000000.0))), vec2(np.float32(3.08897), np.float32(23.718998))) <= np.float32(0.023919294) ? 1 : -1] array2;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length());
}
