/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec2(np.uint32(38)u, np.uint32(35)u) | uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(38)u, np.uint32(35)u)
 * (uvec2(np.uint32(38)u, np.uint32(35)u) | uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(102)u, np.uint32(43)u)
 * (uvec2(np.uint32(64)u, np.uint32(9)u) | uvec2(np.uint32(38)u, np.uint32(35)u)) => uvec2(np.uint32(102)u, np.uint32(43)u)
 * (uvec2(np.uint32(64)u, np.uint32(9)u) | uvec2(np.uint32(64)u, np.uint32(9)u)) => uvec2(np.uint32(64)u, np.uint32(9)u)
 */
#version 150

void main()
{
  float[all(equal((uvec2(np.uint32(38)u, np.uint32(35)u) | uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(38)u, np.uint32(35)u))) ? 1 : -1] array0;
  float[all(equal((uvec2(np.uint32(38)u, np.uint32(35)u) | uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(102)u, np.uint32(43)u))) ? 1 : -1] array1;
  float[all(equal((uvec2(np.uint32(64)u, np.uint32(9)u) | uvec2(np.uint32(38)u, np.uint32(35)u)), uvec2(np.uint32(102)u, np.uint32(43)u))) ? 1 : -1] array2;
  float[all(equal((uvec2(np.uint32(64)u, np.uint32(9)u) | uvec2(np.uint32(64)u, np.uint32(9)u)), uvec2(np.uint32(64)u, np.uint32(9)u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
