/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec2(np.float32(-0.1), np.float32(-1.2)) / vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(1.0), np.float32(1.0))
 * (vec2(np.float32(-0.1), np.float32(-1.2)) / vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(0.23809525), np.float32(-2.5000002))
 * (vec2(np.float32(-0.42), np.float32(0.48)) / vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(4.2), np.float32(-0.39999998))
 * (vec2(np.float32(-0.42), np.float32(0.48)) / vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(1.0), np.float32(1.0))
 */
#version 150

void main()
{
  float[distance((vec2(np.float32(-0.1), np.float32(-1.2)) / vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(1.0), np.float32(1.0))) <= np.float32(1.4142136e-05) ? 1 : -1] array0;
  float[distance((vec2(np.float32(-0.1), np.float32(-1.2)) / vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(0.23809525), np.float32(-2.5000002))) <= np.float32(2.5113124e-05) ? 1 : -1] array1;
  float[distance((vec2(np.float32(-0.42), np.float32(0.48)) / vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(4.2), np.float32(-0.39999998))) <= np.float32(4.2190044e-05) ? 1 : -1] array2;
  float[distance((vec2(np.float32(-0.42), np.float32(0.48)) / vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(1.0), np.float32(1.0))) <= np.float32(1.4142136e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
