/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(-31) >> np.uint32(0)u) => np.int32(-31)
 * (np.int32(-31) >> np.uint32(1)u) => np.int32(-16)
 * (np.int32(-31) >> np.uint32(2)u) => np.int32(-8)
 * (np.int32(-31) >> np.uint32(5)u) => np.int32(-1)
 * (np.int32(-31) >> np.uint32(25)u) => np.int32(-1)
 * (np.int32(-31) >> np.uint32(31)u) => np.int32(-1)
 * (np.int32(-25) >> np.uint32(0)u) => np.int32(-25)
 * (np.int32(-25) >> np.uint32(1)u) => np.int32(-13)
 * (np.int32(-25) >> np.uint32(2)u) => np.int32(-7)
 * (np.int32(-25) >> np.uint32(5)u) => np.int32(-1)
 * (np.int32(-25) >> np.uint32(25)u) => np.int32(-1)
 * (np.int32(-25) >> np.uint32(31)u) => np.int32(-1)
 * (np.int32(-5) >> np.uint32(0)u) => np.int32(-5)
 * (np.int32(-5) >> np.uint32(1)u) => np.int32(-3)
 * (np.int32(-5) >> np.uint32(2)u) => np.int32(-2)
 * (np.int32(-5) >> np.uint32(5)u) => np.int32(-1)
 * (np.int32(-5) >> np.uint32(25)u) => np.int32(-1)
 * (np.int32(-5) >> np.uint32(31)u) => np.int32(-1)
 * (np.int32(-2) >> np.uint32(0)u) => np.int32(-2)
 * (np.int32(-2) >> np.uint32(1)u) => np.int32(-1)
 * (np.int32(-2) >> np.uint32(2)u) => np.int32(-1)
 * (np.int32(-2) >> np.uint32(5)u) => np.int32(-1)
 * (np.int32(-2) >> np.uint32(25)u) => np.int32(-1)
 * (np.int32(-2) >> np.uint32(31)u) => np.int32(-1)
 * (np.int32(-1) >> np.uint32(0)u) => np.int32(-1)
 * (np.int32(-1) >> np.uint32(1)u) => np.int32(-1)
 * (np.int32(-1) >> np.uint32(2)u) => np.int32(-1)
 * (np.int32(-1) >> np.uint32(5)u) => np.int32(-1)
 * (np.int32(-1) >> np.uint32(25)u) => np.int32(-1)
 * (np.int32(-1) >> np.uint32(31)u) => np.int32(-1)
 * (np.int32(0) >> np.uint32(0)u) => np.int32(0)
 * (np.int32(0) >> np.uint32(1)u) => np.int32(0)
 * (np.int32(0) >> np.uint32(2)u) => np.int32(0)
 * (np.int32(0) >> np.uint32(5)u) => np.int32(0)
 * (np.int32(0) >> np.uint32(25)u) => np.int32(0)
 * (np.int32(0) >> np.uint32(31)u) => np.int32(0)
 * (np.int32(1) >> np.uint32(0)u) => np.int32(1)
 * (np.int32(1) >> np.uint32(1)u) => np.int32(0)
 * (np.int32(1) >> np.uint32(2)u) => np.int32(0)
 * (np.int32(1) >> np.uint32(5)u) => np.int32(0)
 * (np.int32(1) >> np.uint32(25)u) => np.int32(0)
 * (np.int32(1) >> np.uint32(31)u) => np.int32(0)
 * (np.int32(2) >> np.uint32(0)u) => np.int32(2)
 * (np.int32(2) >> np.uint32(1)u) => np.int32(1)
 * (np.int32(2) >> np.uint32(2)u) => np.int32(0)
 * (np.int32(2) >> np.uint32(5)u) => np.int32(0)
 * (np.int32(2) >> np.uint32(25)u) => np.int32(0)
 * (np.int32(2) >> np.uint32(31)u) => np.int32(0)
 * (np.int32(5) >> np.uint32(0)u) => np.int32(5)
 * (np.int32(5) >> np.uint32(1)u) => np.int32(2)
 * (np.int32(5) >> np.uint32(2)u) => np.int32(1)
 * (np.int32(5) >> np.uint32(5)u) => np.int32(0)
 * (np.int32(5) >> np.uint32(25)u) => np.int32(0)
 * (np.int32(5) >> np.uint32(31)u) => np.int32(0)
 * (np.int32(25) >> np.uint32(0)u) => np.int32(25)
 * (np.int32(25) >> np.uint32(1)u) => np.int32(12)
 * (np.int32(25) >> np.uint32(2)u) => np.int32(6)
 * (np.int32(25) >> np.uint32(5)u) => np.int32(0)
 * (np.int32(25) >> np.uint32(25)u) => np.int32(0)
 * (np.int32(25) >> np.uint32(31)u) => np.int32(0)
 * (np.int32(31) >> np.uint32(0)u) => np.int32(31)
 * (np.int32(31) >> np.uint32(1)u) => np.int32(15)
 * (np.int32(31) >> np.uint32(2)u) => np.int32(7)
 * (np.int32(31) >> np.uint32(5)u) => np.int32(0)
 * (np.int32(31) >> np.uint32(25)u) => np.int32(0)
 * (np.int32(31) >> np.uint32(31)u) => np.int32(0)
 */
#version 150

void main()
{
  float[(np.int32(-31) >> np.uint32(0)u) == np.int32(-31) ? 1 : -1] array0;
  float[(np.int32(-31) >> np.uint32(1)u) == np.int32(-16) ? 1 : -1] array1;
  float[(np.int32(-31) >> np.uint32(2)u) == np.int32(-8) ? 1 : -1] array2;
  float[(np.int32(-31) >> np.uint32(5)u) == np.int32(-1) ? 1 : -1] array3;
  float[(np.int32(-31) >> np.uint32(25)u) == np.int32(-1) ? 1 : -1] array4;
  float[(np.int32(-31) >> np.uint32(31)u) == np.int32(-1) ? 1 : -1] array5;
  float[(np.int32(-25) >> np.uint32(0)u) == np.int32(-25) ? 1 : -1] array6;
  float[(np.int32(-25) >> np.uint32(1)u) == np.int32(-13) ? 1 : -1] array7;
  float[(np.int32(-25) >> np.uint32(2)u) == np.int32(-7) ? 1 : -1] array8;
  float[(np.int32(-25) >> np.uint32(5)u) == np.int32(-1) ? 1 : -1] array9;
  float[(np.int32(-25) >> np.uint32(25)u) == np.int32(-1) ? 1 : -1] array10;
  float[(np.int32(-25) >> np.uint32(31)u) == np.int32(-1) ? 1 : -1] array11;
  float[(np.int32(-5) >> np.uint32(0)u) == np.int32(-5) ? 1 : -1] array12;
  float[(np.int32(-5) >> np.uint32(1)u) == np.int32(-3) ? 1 : -1] array13;
  float[(np.int32(-5) >> np.uint32(2)u) == np.int32(-2) ? 1 : -1] array14;
  float[(np.int32(-5) >> np.uint32(5)u) == np.int32(-1) ? 1 : -1] array15;
  float[(np.int32(-5) >> np.uint32(25)u) == np.int32(-1) ? 1 : -1] array16;
  float[(np.int32(-5) >> np.uint32(31)u) == np.int32(-1) ? 1 : -1] array17;
  float[(np.int32(-2) >> np.uint32(0)u) == np.int32(-2) ? 1 : -1] array18;
  float[(np.int32(-2) >> np.uint32(1)u) == np.int32(-1) ? 1 : -1] array19;
  float[(np.int32(-2) >> np.uint32(2)u) == np.int32(-1) ? 1 : -1] array20;
  float[(np.int32(-2) >> np.uint32(5)u) == np.int32(-1) ? 1 : -1] array21;
  float[(np.int32(-2) >> np.uint32(25)u) == np.int32(-1) ? 1 : -1] array22;
  float[(np.int32(-2) >> np.uint32(31)u) == np.int32(-1) ? 1 : -1] array23;
  float[(np.int32(-1) >> np.uint32(0)u) == np.int32(-1) ? 1 : -1] array24;
  float[(np.int32(-1) >> np.uint32(1)u) == np.int32(-1) ? 1 : -1] array25;
  float[(np.int32(-1) >> np.uint32(2)u) == np.int32(-1) ? 1 : -1] array26;
  float[(np.int32(-1) >> np.uint32(5)u) == np.int32(-1) ? 1 : -1] array27;
  float[(np.int32(-1) >> np.uint32(25)u) == np.int32(-1) ? 1 : -1] array28;
  float[(np.int32(-1) >> np.uint32(31)u) == np.int32(-1) ? 1 : -1] array29;
  float[(np.int32(0) >> np.uint32(0)u) == np.int32(0) ? 1 : -1] array30;
  float[(np.int32(0) >> np.uint32(1)u) == np.int32(0) ? 1 : -1] array31;
  float[(np.int32(0) >> np.uint32(2)u) == np.int32(0) ? 1 : -1] array32;
  float[(np.int32(0) >> np.uint32(5)u) == np.int32(0) ? 1 : -1] array33;
  float[(np.int32(0) >> np.uint32(25)u) == np.int32(0) ? 1 : -1] array34;
  float[(np.int32(0) >> np.uint32(31)u) == np.int32(0) ? 1 : -1] array35;
  float[(np.int32(1) >> np.uint32(0)u) == np.int32(1) ? 1 : -1] array36;
  float[(np.int32(1) >> np.uint32(1)u) == np.int32(0) ? 1 : -1] array37;
  float[(np.int32(1) >> np.uint32(2)u) == np.int32(0) ? 1 : -1] array38;
  float[(np.int32(1) >> np.uint32(5)u) == np.int32(0) ? 1 : -1] array39;
  float[(np.int32(1) >> np.uint32(25)u) == np.int32(0) ? 1 : -1] array40;
  float[(np.int32(1) >> np.uint32(31)u) == np.int32(0) ? 1 : -1] array41;
  float[(np.int32(2) >> np.uint32(0)u) == np.int32(2) ? 1 : -1] array42;
  float[(np.int32(2) >> np.uint32(1)u) == np.int32(1) ? 1 : -1] array43;
  float[(np.int32(2) >> np.uint32(2)u) == np.int32(0) ? 1 : -1] array44;
  float[(np.int32(2) >> np.uint32(5)u) == np.int32(0) ? 1 : -1] array45;
  float[(np.int32(2) >> np.uint32(25)u) == np.int32(0) ? 1 : -1] array46;
  float[(np.int32(2) >> np.uint32(31)u) == np.int32(0) ? 1 : -1] array47;
  float[(np.int32(5) >> np.uint32(0)u) == np.int32(5) ? 1 : -1] array48;
  float[(np.int32(5) >> np.uint32(1)u) == np.int32(2) ? 1 : -1] array49;
  float[(np.int32(5) >> np.uint32(2)u) == np.int32(1) ? 1 : -1] array50;
  float[(np.int32(5) >> np.uint32(5)u) == np.int32(0) ? 1 : -1] array51;
  float[(np.int32(5) >> np.uint32(25)u) == np.int32(0) ? 1 : -1] array52;
  float[(np.int32(5) >> np.uint32(31)u) == np.int32(0) ? 1 : -1] array53;
  float[(np.int32(25) >> np.uint32(0)u) == np.int32(25) ? 1 : -1] array54;
  float[(np.int32(25) >> np.uint32(1)u) == np.int32(12) ? 1 : -1] array55;
  float[(np.int32(25) >> np.uint32(2)u) == np.int32(6) ? 1 : -1] array56;
  float[(np.int32(25) >> np.uint32(5)u) == np.int32(0) ? 1 : -1] array57;
  float[(np.int32(25) >> np.uint32(25)u) == np.int32(0) ? 1 : -1] array58;
  float[(np.int32(25) >> np.uint32(31)u) == np.int32(0) ? 1 : -1] array59;
  float[(np.int32(31) >> np.uint32(0)u) == np.int32(31) ? 1 : -1] array60;
  float[(np.int32(31) >> np.uint32(1)u) == np.int32(15) ? 1 : -1] array61;
  float[(np.int32(31) >> np.uint32(2)u) == np.int32(7) ? 1 : -1] array62;
  float[(np.int32(31) >> np.uint32(5)u) == np.int32(0) ? 1 : -1] array63;
  float[(np.int32(31) >> np.uint32(25)u) == np.int32(0) ? 1 : -1] array64;
  float[(np.int32(31) >> np.uint32(31)u) == np.int32(0) ? 1 : -1] array65;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length() + array50.length() + array51.length() + array52.length() + array53.length() + array54.length() + array55.length() + array56.length() + array57.length() + array58.length() + array59.length() + array60.length() + array61.length() + array62.length() + array63.length() + array64.length() + array65.length());
}
