/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * abs(dvec2(np.float64(-1.5)lf, np.float64(-0.75)lf)) => dvec2(np.float64(1.5)lf, np.float64(0.75)lf)
 * abs(dvec2(np.float64(0.0)lf, np.float64(0.75)lf)) => dvec2(np.float64(0.0)lf, np.float64(0.75)lf)
 * abs(dvec2(np.float64(1.5)lf, np.float64(-1.5)lf)) => dvec2(np.float64(1.5)lf, np.float64(1.5)lf)
 */
#version 400

void main()
{
  double[distance(abs(dvec2(np.float64(-1.5)lf, np.float64(-0.75)lf)), dvec2(np.float64(1.5)lf, np.float64(0.75)lf)) <= np.float64(1.6770509831248427e-05)lf ? 1 : -1] array0;
  double[distance(abs(dvec2(np.float64(0.0)lf, np.float64(0.75)lf)), dvec2(np.float64(0.0)lf, np.float64(0.75)lf)) <= np.float64(7.500000000000001e-06)lf ? 1 : -1] array1;
  double[distance(abs(dvec2(np.float64(1.5)lf, np.float64(-1.5)lf)), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)) <= np.float64(2.1213203435596428e-05)lf ? 1 : -1] array2;
  gl_Position = vec4(array0.length() + array1.length() + array2.length());
}
